<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:gdk="http://www.ihe.net/gazellecdk"
	xmlns:s="http://jboss.org/schema/seam/taglib"
	xmlns:rich="http://richfaces.org/rich"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:gri="http://java.sun.com/jsf/composite/gri"
	xmlns:g="http://www.ihe.net/gazelle"
	xmlns:a4j="http://richfaces.org/a4j"
	xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
	<ui:define name="body">
		<h:form id="globalForm">
			<br />
			<gri:panel>
				<f:facet name="header">#{messages['net.ihe.gazelle.cdagen.EditApplicationPreference']}</f:facet>
		    #{applicationConfiguration.initPreferenceApplicationDisplay()}
			<s:div id="noServiceSelected"
					rendered="#{applicationConfiguration.selectedPreference == null}">
					<h:outputText
						value="#{messages['net.ihe.gazelle.cdagen.NoApplicationPreferenceSelectedToBeEdited']}" />
					<a4j:commandButton value="#{messages['net.ihe.gazelle.cdagen.BackToList']}"
						action="#{applicationConfiguration.backToPreferenceList()}"
						styleClass="commandButton" />
				</s:div>
				<s:div id="globalDiv"
					rendered="#{applicationConfiguration.selectedPreference != null}">
					<rich:messages globalOnly="true" styleClass="message" />
					<gri:formHorizontal rendered="#{applicationConfiguration.selectedPreference != null}">
						<gri:fieldHorizontalInline label="Preference Key" id="prefkey">
							<h:inputText
								value="#{applicationConfiguration.selectedPreference.preferenceName}"
								size="60" />
						</gri:fieldHorizontalInline>
						<gri:fieldHorizontalInline label="Class" id="prefClass">
							<h:inputText
								value="#{applicationConfiguration.selectedPreference.className}"
								size="60" />
						</gri:fieldHorizontalInline>
						<gri:fieldHorizontalInline label="PreferenceValue" id="prefval">
							<h:inputText
								value="#{applicationConfiguration.selectedPreference.preferenceValue}"
								size="80" />
						</gri:fieldHorizontalInline>
						<gri:fieldHorizontalInline label="Description" id="prefdesc">
							<h:inputText
								value="#{applicationConfiguration.selectedPreference.description}"
								size="80" />
						</gri:fieldHorizontalInline>
					</gri:formHorizontal>
				</s:div>
				<f:facet name="footer">
					<a4j:commandButton value="#{messages['net.ihe.gazelle.cdagen.SaveChanges']}"
						actionListener="#{applicationConfiguration.save()}"
						styleClass="gzl-btn-blue" render="globalDiv" />
					<a4j:commandButton value="#{messages['net.ihe.gazelle.cdagen.BackToList']}"
						action="#{applicationConfiguration.backToPreferenceList()}"
						styleClass="gzl-btn-red" immediate="true" />
				</f:facet>
			</gri:panel>
		</h:form>
	</ui:define>
</ui:composition>
